<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <base data-ice="baseUrl" href="../../../../../">
  <title data-ice="title">Catalog_Entry_Base | archive-system-front-end</title>
  <link type="text/css" rel="stylesheet" href="css/style.css">
  <link type="text/css" rel="stylesheet" href="css/prettify-tomorrow.css">
  <script src="script/prettify/prettify.js"></script>
  <script src="script/manual.js"></script>
</head>
<body class="layout-container" data-ice="rootContainer">

<header>
  <a href="./">Home</a>
  
  <a href="identifiers.html">Reference</a>
  <a href="source.html">Source</a>
  
  <div class="search-box">
  <span>
    <img src="./image/search.png">
    <span class="search-input-edge"></span><input class="search-input"><span class="search-input-edge"></span>
  </span>
    <ul class="search-result"></ul>
  </div>
<a href="https://gitlab.com/ArchiveSys/Web-Catalogue/archive-system-front-end.git">Repository</a></header>

<nav class="navigation" data-ice="nav"><div>
  <ul>
    
  <li data-ice="doc"><a data-ice="dirPath" class="nav-dir-path" href="identifiers.html#js">js</a><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/public/js/moodral.js~moodral.html">moodral</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-CONFIG">CONFIG</a></span></span></li>
<li data-ice="doc"><a data-ice="dirPath" class="nav-dir-path" href="identifiers.html#js-catalouge">js/catalouge</a><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/public/js/catalouge/Catalog_System.js~Catalog_System.html">Catalog_System</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/public/js/catalouge/Catalog_System_Base.js~Catalog_System_Base.html">Catalog_System_Base</a></span></span></li>
<li data-ice="doc"><a data-ice="dirPath" class="nav-dir-path" href="identifiers.html#js-catalouge-archive-connection">js/catalouge/Archive_Connection</a><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/public/js/catalouge/Archive_Connection/Archive_Connection.js~Archive_Connection.html">Archive_Connection</a></span></span></li>
<li data-ice="doc"><a data-ice="dirPath" class="nav-dir-path" href="identifiers.html#js-catalouge-catalog-entry">js/catalouge/Catalog_Entry</a><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/public/js/catalouge/Catalog_Entry/Catalog_Entry.js~Catalog_Entry.html">Catalog_Entry</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js~Catalog_Entry_Base.html">Catalog_Entry_Base</a></span></span></li>
<li data-ice="doc"><a data-ice="dirPath" class="nav-dir-path" href="identifiers.html#js-catalouge-catalog-entry-moodral">js/catalouge/Catalog_Entry_Moodral</a><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/public/js/catalouge/Catalog_Entry_Moodral/Catalog_Entry_Moodral.js~Catalog_Entry_Moodral.html">Catalog_Entry_Moodral</a></span></span></li>
<li data-ice="doc"><a data-ice="dirPath" class="nav-dir-path" href="identifiers.html#js-catalouge-filter">js/catalouge/Filter</a><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/public/js/catalouge/Filter/Filter.js~Filter.html">Filter</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/public/js/catalouge/Filter/Filter_Base.js~Filter_Base.html">Filter_Base</a></span></span></li>
<li data-ice="doc"><a data-ice="dirPath" class="nav-dir-path" href="identifiers.html#js-catalouge-page-headers">js/catalouge/Page_Headers</a><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/public/js/catalouge/Page_Headers/Page_Headers.js~Page_Headers.html">Page_Headers</a></span></span></li>
<li data-ice="doc"><a data-ice="dirPath" class="nav-dir-path" href="identifiers.html#js-toolkit">js/toolkit</a><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/public/js/toolkit/baseToolkit.js~toolkit.html">toolkit</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/public/js/toolkit/combinedStorageToolkitExtention.js~baseStorageToolkitExtention.html">baseStorageToolkitExtention</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/public/js/toolkit/combinedStorageToolkitExtention.js~permanentStorageToolkitExtention.html">permanentStorageToolkitExtention</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/public/js/toolkit/combinedStorageToolkitExtention.js~sessionStorageToolkitExtention.html">sessionStorageToolkitExtention</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/public/js/toolkit/contentToolkitExtention.js~contentToolkitExtention.html">contentToolkitExtention</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/public/js/toolkit/endlessScrollToolkitExtention.js~endlessScrollToolkitExtention.html">endlessScrollToolkitExtention</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/public/js/toolkit/eventToolkitExtention.js~eventToolkitExtention.html">eventToolkitExtention</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/public/js/toolkit/formToolkitExtention.js~formToolkitExtention.html">formToolkitExtention</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/public/js/toolkit/httpConnectionsToolkitExtention.js~httpConnectionsToolkitExtention.html">httpConnectionsToolkitExtention</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/public/js/toolkit/styleToolkitExtention.js~styleToolkitExtention.html">styleToolkitExtention</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/public/js/toolkit/urlToolkitExtention.js~urlToolkitExtention.html">urlToolkitExtention</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-function">F</span><span data-ice="name"><span><a href="function/index.html#static-function-aggregator">aggregator</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-NOTHING">NOTHING</a></span></span></li>
</ul>
</div>
</nav>

<div class="content" data-ice="content"><div class="header-notice">
  <div data-ice="importPath" class="import-path"><pre class="prettyprint"><code data-ice="importPathCode">import {Catalog_Entry_Base} from &apos;<span><a href="file/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js.html#lineNumber5">archive-system-front-end/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js</a></span>&apos;</code></pre></div>
  <span data-ice="access">public</span>
  <span data-ice="kind">class</span>
  
  
  
  <span data-ice="source">| <span><a href="file/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js.html#lineNumber5">source</a></span></span>
</div>

<div class="self-detail detail">
  <h1 data-ice="name">Catalog_Entry_Base</h1>

  

  
  
  
  <div class="flat-list" data-ice="directSubclass"><h4>Direct Subclass:</h4><div><span><a href="class/public/js/catalouge/Catalog_Entry/Catalog_Entry.js~Catalog_Entry.html">Catalog_Entry</a></span></div></div>
  
  
  
  
  

  
  
  <div class="description" data-ice="description"><p>This is the base Catalouge Entry object.
It handles prosessing all the data from the raw data and has a few other helper functions.</p>
</div>
  

  

  

  

  
</div>



<div data-ice="constructorSummary"><h2>Constructor Summary</h2><table class="summary" data-ice="summary">
  <thead><tr><td data-ice="title" colspan="3">Public Constructor</td></tr></thead>
  <tbody>
  
  <tr data-ice="target">
    <td>
      <span class="access" data-ice="access">public</span>
      
      
      
      <span class="override" data-ice="override"></span>
    </td>
    <td>
      <div>
        <p>
          
          
          
          <span class="code" data-ice="name"><span><a href="class/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js~Catalog_Entry_Base.html#instance-constructor-constructor">constructor</a></span></span><span class="code" data-ice="signature">(entryData: <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Object">Object</a></span>, catalogObject: <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Object">Object</a></span>)</span>
        </p>
      </div>
      <div>
        
        
        <div data-ice="description"><p>The constructor for the Catalog Entry Base.</p>
</div>
      </div>
    </td>
    <td>
      
      
    </td>
  </tr>
</tbody>
</table>
</div>
<div data-ice="memberSummary"><h2>Member Summary</h2><table class="summary" data-ice="summary">
  <thead><tr><td data-ice="title" colspan="3">Public Members</td></tr></thead>
  <tbody>
  
  <tr data-ice="target">
    <td>
      <span class="access" data-ice="access">public</span>
      
      
      
      <span class="override" data-ice="override"></span>
    </td>
    <td>
      <div>
        <p>
          
          
          
          <span class="code" data-ice="name"><span><a href="class/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js~Catalog_Entry_Base.html#instance-member-EMPTY">EMPTY</a></span></span><span class="code" data-ice="signature">: <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String">string</a></span></span>
        </p>
      </div>
      <div>
        
        
        <div data-ice="description"><p>A Constant representing a empty value.</p>
</div>
      </div>
    </td>
    <td>
      
      
    </td>
  </tr>
<tr data-ice="target">
    <td>
      <span class="access" data-ice="access">public</span>
      
      
      
      <span class="override" data-ice="override"></span>
    </td>
    <td>
      <div>
        <p>
          
          
          
          <span class="code" data-ice="name"><span><a href="class/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js~Catalog_Entry_Base.html#instance-member-author">author</a></span></span><span class="code" data-ice="signature">: {id: <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Number">number</a></span>, name: <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String">string</a></span>}</span>
        </p>
      </div>
      <div>
        
        
        <div data-ice="description"><p>The author of the entry.</p>
</div>
      </div>
    </td>
    <td>
      
      
    </td>
  </tr>
<tr data-ice="target">
    <td>
      <span class="access" data-ice="access">public</span>
      
      
      
      <span class="override" data-ice="override"></span>
    </td>
    <td>
      <div>
        <p>
          
          
          
          <span class="code" data-ice="name"><span><a href="class/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js~Catalog_Entry_Base.html#instance-member-blurb">blurb</a></span></span><span class="code" data-ice="signature">: <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String">string</a></span> | <span>DOMString</span></span>
        </p>
      </div>
      <div>
        
        
        <div data-ice="description"><p>The blurb / summary for the entry.</p>
</div>
      </div>
    </td>
    <td>
      
      
    </td>
  </tr>
<tr data-ice="target">
    <td>
      <span class="access" data-ice="access">public</span>
      
      
      
      <span class="override" data-ice="override"></span>
    </td>
    <td>
      <div>
        <p>
          
          
          
          <span class="code" data-ice="name"><span><a href="class/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js~Catalog_Entry_Base.html#instance-member-catagories">catagories</a></span></span><span class="code" data-ice="signature">: <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String">string</a></span></span>
        </p>
      </div>
      <div>
        
        
        <div data-ice="description"><p>The catagory for the entry.</p>
</div>
      </div>
    </td>
    <td>
      
      
    </td>
  </tr>
<tr data-ice="target">
    <td>
      <span class="access" data-ice="access">public</span>
      
      
      
      <span class="override" data-ice="override"></span>
    </td>
    <td>
      <div>
        <p>
          
          
          
          <span class="code" data-ice="name"><span><a href="class/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js~Catalog_Entry_Base.html#instance-member-catalog">catalog</a></span></span><span class="code" data-ice="signature">: <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Object">Object</a></span></span>
        </p>
      </div>
      <div>
        
        
        <div data-ice="description"><p>The parrent catalouge object.</p>
</div>
      </div>
    </td>
    <td>
      
      
    </td>
  </tr>
<tr data-ice="target">
    <td>
      <span class="access" data-ice="access">public</span>
      
      
      
      <span class="override" data-ice="override"></span>
    </td>
    <td>
      <div>
        <p>
          
          
          
          <span class="code" data-ice="name"><span><a href="class/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js~Catalog_Entry_Base.html#instance-member-characters">characters</a></span></span><span class="code" data-ice="signature">: <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String">string</a></span> | <span><a href="class/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js~Catalog_Entry_Base.html#instance-member-EMPTY">EMPTY</a></span></span>
        </p>
      </div>
      <div>
        
        
        <div data-ice="description"><p>Major Characters in the entry.</p>
</div>
      </div>
    </td>
    <td>
      
      
    </td>
  </tr>
<tr data-ice="target">
    <td>
      <span class="access" data-ice="access">public</span>
      
      
      
      <span class="override" data-ice="override"></span>
    </td>
    <td>
      <div>
        <p>
          
          
          
          <span class="code" data-ice="name"><span><a href="class/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js~Catalog_Entry_Base.html#instance-member-count">count</a></span></span><span class="code" data-ice="signature">: {chapters: <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Number">number</a></span>|<span><a href="class/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js~Catalog_Entry_Base.html#instance-member-EMPTY">EMPTY</a></span>, words: <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Number">number</a></span>|<span><a href="class/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js~Catalog_Entry_Base.html#instance-member-EMPTY">EMPTY</a></span>}</span>
        </p>
      </div>
      <div>
        
        
        <div data-ice="description"><p>The count of varius stuff.</p>
</div>
      </div>
    </td>
    <td>
      
      
    </td>
  </tr>
<tr data-ice="target">
    <td>
      <span class="access" data-ice="access">public</span>
      
      
      
      <span class="override" data-ice="override"></span>
    </td>
    <td>
      <div>
        <p>
          
          
          
          <span class="code" data-ice="name"><span><a href="class/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js~Catalog_Entry_Base.html#instance-member-dates">dates</a></span></span><span class="code" data-ice="signature">: {Published: <span>date</span>, Added: <span>date</span>|<span><a href="class/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js~Catalog_Entry_Base.html#instance-member-EMPTY">EMPTY</a></span>, Downloaded: <span>date</span>|<span><a href="class/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js~Catalog_Entry_Base.html#instance-member-EMPTY">EMPTY</a></span>, Checked: <span>date</span>|<span><a href="class/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js~Catalog_Entry_Base.html#instance-member-EMPTY">EMPTY</a></span>, Updated: <span>date</span>|<span><a href="class/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js~Catalog_Entry_Base.html#instance-member-EMPTY">EMPTY</a></span>}</span>
        </p>
      </div>
      <div>
        
        
        <div data-ice="description"><p>The dates related to the entry.</p>
</div>
      </div>
    </td>
    <td>
      
      
    </td>
  </tr>
<tr data-ice="target">
    <td>
      <span class="access" data-ice="access">public</span>
      
      
      
      <span class="override" data-ice="override"></span>
    </td>
    <td>
      <div>
        <p>
          
          
          
          <span class="code" data-ice="name"><span><a href="class/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js~Catalog_Entry_Base.html#instance-member-genres">genres</a></span></span><span class="code" data-ice="signature">: <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String">string</a></span> | <span><a href="class/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js~Catalog_Entry_Base.html#instance-member-EMPTY">EMPTY</a></span></span>
        </p>
      </div>
      <div>
        
        
        <div data-ice="description"><p>Genres of the entry.</p>
</div>
      </div>
    </td>
    <td>
      
      
    </td>
  </tr>
<tr data-ice="target">
    <td>
      <span class="access" data-ice="access">public</span>
      
      
      
      <span class="override" data-ice="override"></span>
    </td>
    <td>
      <div>
        <p>
          
          
          
          <span class="code" data-ice="name"><span><a href="class/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js~Catalog_Entry_Base.html#instance-member-hidden">hidden</a></span></span><span class="code" data-ice="signature">: <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Boolean">boolean</a></span> | <span><a href="class/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js~Catalog_Entry_Base.html#instance-member-EMPTY">EMPTY</a></span></span>
        </p>
      </div>
      <div>
        
        
        <div data-ice="description"><p>If the entry is normally hidden.</p>
</div>
      </div>
    </td>
    <td>
      
      
    </td>
  </tr>
<tr data-ice="target">
    <td>
      <span class="access" data-ice="access">public</span>
      
      
      
      <span class="override" data-ice="override"></span>
    </td>
    <td>
      <div>
        <p>
          
          
          
          <span class="code" data-ice="name"><span><a href="class/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js~Catalog_Entry_Base.html#instance-member-id">id</a></span></span><span class="code" data-ice="signature">: <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Number">number</a></span></span>
        </p>
      </div>
      <div>
        
        
        <div data-ice="description"><p>The entry&apos;s catalouge ID.</p>
</div>
      </div>
    </td>
    <td>
      
      
    </td>
  </tr>
<tr data-ice="target">
    <td>
      <span class="access" data-ice="access">public</span>
      
      
      
      <span class="override" data-ice="override"></span>
    </td>
    <td>
      <div>
        <p>
          
          
          
          <span class="code" data-ice="name"><span><a href="class/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js~Catalog_Entry_Base.html#instance-member-keywords">keywords</a></span></span><span class="code" data-ice="signature">: <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String">string</a></span> | <span><a href="class/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js~Catalog_Entry_Base.html#instance-member-EMPTY">EMPTY</a></span></span>
        </p>
      </div>
      <div>
        
        
        <div data-ice="description"><p>Keywords related to the entry</p>
</div>
      </div>
    </td>
    <td>
      
      
    </td>
  </tr>
<tr data-ice="target">
    <td>
      <span class="access" data-ice="access">public</span>
      
      
      
      <span class="override" data-ice="override"></span>
    </td>
    <td>
      <div>
        <p>
          
          
          
          <span class="code" data-ice="name"><span><a href="class/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js~Catalog_Entry_Base.html#instance-member-pairings">pairings</a></span></span><span class="code" data-ice="signature">: <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String">string</a></span> | <span><a href="class/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js~Catalog_Entry_Base.html#instance-member-EMPTY">EMPTY</a></span></span>
        </p>
      </div>
      <div>
        
        
        <div data-ice="description"><p>Character Pairings in the entry.</p>
</div>
      </div>
    </td>
    <td>
      
      
    </td>
  </tr>
<tr data-ice="target">
    <td>
      <span class="access" data-ice="access">public</span>
      
      
      
      <span class="override" data-ice="override"></span>
    </td>
    <td>
      <div>
        <p>
          
          
          
          <span class="code" data-ice="name"><span><a href="class/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js~Catalog_Entry_Base.html#instance-member-publisher">publisher</a></span></span><span class="code" data-ice="signature">: <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String">string</a></span></span>
        </p>
      </div>
      <div>
        
        
        <div data-ice="description"><p>The publisher of the entry.</p>
</div>
      </div>
    </td>
    <td>
      
      
    </td>
  </tr>
<tr data-ice="target">
    <td>
      <span class="access" data-ice="access">public</span>
      
      
      
      <span class="override" data-ice="override"></span>
    </td>
    <td>
      <div>
        <p>
          
          
          
          <span class="code" data-ice="name"><span><a href="class/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js~Catalog_Entry_Base.html#instance-member-rating">rating</a></span></span><span class="code" data-ice="signature">: {short: <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String">string</a></span>, long: <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String">string</a></span>}</span>
        </p>
      </div>
      <div>
        
        
        <div data-ice="description"><p>The rating of the entry.</p>
</div>
      </div>
    </td>
    <td>
      
      
    </td>
  </tr>
<tr data-ice="target">
    <td>
      <span class="access" data-ice="access">public</span>
      
      
      
      <span class="override" data-ice="override"></span>
    </td>
    <td>
      <div>
        <p>
          
          
          
          <span class="code" data-ice="name"><span><a href="class/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js~Catalog_Entry_Base.html#instance-member-sourceURL">sourceURL</a></span></span><span class="code" data-ice="signature">: <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String">string</a></span> | <span><a href="class/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js~Catalog_Entry_Base.html#instance-member-EMPTY">EMPTY</a></span></span>
        </p>
      </div>
      <div>
        
        
        <div data-ice="description"><p>The Source URL for the entry.</p>
</div>
      </div>
    </td>
    <td>
      
      
    </td>
  </tr>
<tr data-ice="target">
    <td>
      <span class="access" data-ice="access">public</span>
      
      
      
      <span class="override" data-ice="override"></span>
    </td>
    <td>
      <div>
        <p>
          
          
          
          <span class="code" data-ice="name"><span><a href="class/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js~Catalog_Entry_Base.html#instance-member-status">status</a></span></span><span class="code" data-ice="signature">: <span>*</span></span>
        </p>
      </div>
      <div>
        
        
        <div data-ice="description"><p>The status of the entry.</p>
</div>
      </div>
    </td>
    <td>
      
      
    </td>
  </tr>
<tr data-ice="target">
    <td>
      <span class="access" data-ice="access">public</span>
      
      
      
      <span class="override" data-ice="override"></span>
    </td>
    <td>
      <div>
        <p>
          
          
          
          <span class="code" data-ice="name"><span><a href="class/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js~Catalog_Entry_Base.html#instance-member-times">times</a></span></span><span class="code" data-ice="signature">: {&quot;LastCheck&quot;: <span>*</span>, &quot;NextUpdate&quot;: <span>*</span>}</span>
        </p>
      </div>
      <div>
        
        
        
      </div>
    </td>
    <td>
      
      
    </td>
  </tr>
<tr data-ice="target">
    <td>
      <span class="access" data-ice="access">public</span>
      
      
      
      <span class="override" data-ice="override"></span>
    </td>
    <td>
      <div>
        <p>
          
          
          
          <span class="code" data-ice="name"><span><a href="class/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js~Catalog_Entry_Base.html#instance-member-title">title</a></span></span><span class="code" data-ice="signature">: <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String">string</a></span></span>
        </p>
      </div>
      <div>
        
        
        <div data-ice="description"><p>The title of the entry.</p>
</div>
      </div>
    </td>
    <td>
      
      
    </td>
  </tr>
</tbody>
</table>
<table class="summary" data-ice="summary">
  <thead><tr><td data-ice="title" colspan="3">Protected Members</td></tr></thead>
  <tbody>
  
  <tr data-ice="target">
    <td>
      <span class="access" data-ice="access">protected</span>
      
      
      <span class="abstract" data-ice="abstract">abstract</span>
      <span class="override" data-ice="override"></span>
    </td>
    <td>
      <div>
        <p>
          
          
          
          <span class="code" data-ice="name"><span><a href="class/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js~Catalog_Entry_Base.html#instance-member-css_selectors">css_selectors</a></span></span><span class="code" data-ice="signature">: <span>Enum</span>&lt;<span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String">String</a></span>&gt;</span>
        </p>
      </div>
      <div>
        
        
        <div data-ice="description"><p>Contains CSS Selectors for vairious parts of the code.</p>
</div>
      </div>
    </td>
    <td>
      
      
    </td>
  </tr>
</tbody>
</table>
</div>
<div data-ice="methodSummary"><h2>Method Summary</h2><table class="summary" data-ice="summary">
  <thead><tr><td data-ice="title" colspan="3">Public Methods</td></tr></thead>
  <tbody>
  
  <tr data-ice="target">
    <td>
      <span class="access" data-ice="access">public</span>
      
      
      
      <span class="override" data-ice="override"></span>
    </td>
    <td>
      <div>
        <p>
          
          
          
          <span class="code" data-ice="name"><span><a href="class/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js~Catalog_Entry_Base.html#instance-method-addCommas">addCommas</a></span></span><span class="code" data-ice="signature">(number: <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Number">number</a></span> | <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String">String</a></span>): <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String">String</a></span></span>
        </p>
      </div>
      <div>
        
        
        <div data-ice="description"><p>Adds commas to numbers in the thousands, millions, etc places.</p>
</div>
      </div>
    </td>
    <td>
      
      
    </td>
  </tr>
<tr data-ice="target">
    <td>
      <span class="access" data-ice="access">public</span>
      
      
      
      <span class="override" data-ice="override"></span>
    </td>
    <td>
      <div>
        <p>
          
          
          
          <span class="code" data-ice="name"><span><a href="class/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js~Catalog_Entry_Base.html#instance-method-truncateZeroDateTimes">truncateZeroDateTimes</a></span></span><span class="code" data-ice="signature">(dateTime: <span>dateTime</span> | <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String">String</a></span>): <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String">String</a></span></span>
        </p>
      </div>
      <div>
        
        
        <div data-ice="description"><p>Removes trailing sets of zero&apos;s from date-times.</p>
<p>2018-10-28 19:55:36 -&gt; 2018-10-28 19:55:36
2018-10-28 19:55:00 -&gt; 2018-10-28 19:55
2018-10-28 00:00:00 -&gt; 2018-10-28</p>
</div>
      </div>
    </td>
    <td>
      
      
    </td>
  </tr>
<tr data-ice="target">
    <td>
      <span class="access" data-ice="access">public</span>
      
      
      
      <span class="override" data-ice="override"></span>
    </td>
    <td>
      <div>
        <p>
          
          
          
          <span class="code" data-ice="name"><span><a href="class/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js~Catalog_Entry_Base.html#instance-method-unixToReadable">unixToReadable</a></span></span><span class="code" data-ice="signature">(timeDuration: <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Number">number</a></span>): <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String">String</a></span></span>
        </p>
      </div>
      <div>
        
        
        <div data-ice="description"><p>Converts a unix time duration to text for days, hours, minutes, seconds.</p>
</div>
      </div>
    </td>
    <td>
      
      
    </td>
  </tr>
</tbody>
</table>
<table class="summary" data-ice="summary">
  <thead><tr><td data-ice="title" colspan="3">Private Methods</td></tr></thead>
  <tbody>
  
  <tr data-ice="target">
    <td>
      <span class="access" data-ice="access">private</span>
      
      
      
      <span class="override" data-ice="override"></span>
    </td>
    <td>
      <div>
        <p>
          
          
          
          <span class="code" data-ice="name"><span><a href="class/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js~Catalog_Entry_Base.html#instance-method-__hasData">__hasData</a></span></span><span class="code" data-ice="signature">(data: <span>*</span>, legacy: <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Boolean">boolean</a></span>): <span>*</span> | <span><a href="class/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js~Catalog_Entry_Base.html#instance-member-EMPTY">EMPTY</a></span></span>
        </p>
      </div>
      <div>
        
        
        <div data-ice="description"><p>Checks if input actually has data.</p>
</div>
      </div>
    </td>
    <td>
      
      
    </td>
  </tr>
<tr data-ice="target">
    <td>
      <span class="access" data-ice="access">private</span>
      
      
      
      <span class="override" data-ice="override"></span>
    </td>
    <td>
      <div>
        <p>
          
          
          
          <span class="code" data-ice="name"><span><a href="class/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js~Catalog_Entry_Base.html#instance-method-__parseEntry">__parseEntry</a></span></span><span class="code" data-ice="signature">(RawData: <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Object">Object</a></span>)</span>
        </p>
      </div>
      <div>
        
        
        <div data-ice="description"><p>Calls other parsers to parse the data.</p>
</div>
      </div>
    </td>
    <td>
      
      
    </td>
  </tr>
<tr data-ice="target">
    <td>
      <span class="access" data-ice="access">private</span>
      
      
      
      <span class="override" data-ice="override"></span>
    </td>
    <td>
      <div>
        <p>
          
          
          
          <span class="code" data-ice="name"><span><a href="class/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js~Catalog_Entry_Base.html#instance-method-__parseEntryAlways">__parseEntryAlways</a></span></span><span class="code" data-ice="signature">(RawData: <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Object">Object</a></span>)</span>
        </p>
      </div>
      <div>
        
        
        <div data-ice="description"><p>Parser for values that should always exsist.</p>
</div>
      </div>
    </td>
    <td>
      
      
    </td>
  </tr>
<tr data-ice="target">
    <td>
      <span class="access" data-ice="access">private</span>
      
      
      
      <span class="override" data-ice="override"></span>
    </td>
    <td>
      <div>
        <p>
          
          
          
          <span class="code" data-ice="name"><span><a href="class/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js~Catalog_Entry_Base.html#instance-method-__parseEntrySometimes">__parseEntrySometimes</a></span></span><span class="code" data-ice="signature">(RawData: <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Object">Object</a></span>)</span>
        </p>
      </div>
      <div>
        
        
        <div data-ice="description"><p>Parser for values that sometimes exsist.</p>
</div>
      </div>
    </td>
    <td>
      
      
    </td>
  </tr>
<tr data-ice="target">
    <td>
      <span class="access" data-ice="access">private</span>
      
      
      
      <span class="override" data-ice="override"></span>
    </td>
    <td>
      <div>
        <p>
          
          
          
          <span class="code" data-ice="name"><span><a href="class/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js~Catalog_Entry_Base.html#instance-method-__transferAuthorToSearch">__transferAuthorToSearch</a></span></span><span class="code" data-ice="signature">()</span>
        </p>
      </div>
      <div>
        
        
        <div data-ice="description"><p>The code that is triggered when the author name is clicked.</p>
</div>
      </div>
    </td>
    <td>
      
      
    </td>
  </tr>
</tbody>
</table>
</div>





<div data-ice="constructorDetails"><h2 data-ice="title">Public Constructors</h2>

<div class="detail" data-ice="detail">
  <h3 data-ice="anchor" id="instance-constructor-constructor">
    <span class="access" data-ice="access">public</span>
    
    
    
    
    
    <span class="code" data-ice="name">constructor</span><span class="code" data-ice="signature">(entryData: <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Object">Object</a></span>, catalogObject: <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Object">Object</a></span>)</span>
    <span class="right-info">
      
      
      <span data-ice="source"><span><a href="file/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js.html#lineNumber13">source</a></span></span>
    </span>
  </h3>

  
  
  
  <div data-ice="description"><p>The constructor for the Catalog Entry Base.
It sets all the local attributes.</p>
</div>

  

  <div data-ice="properties"><div data-ice="properties">
  <h4 data-ice="title">Params:</h4>
  <table class="params">
    <thead>
    <tr><td>Name</td><td>Type</td><td>Attribute</td><td>Description</td></tr>
    </thead>
    <tbody>
    
    <tr data-ice="property" data-depth="0">
      <td data-ice="name" class="code" data-depth="0">entryData</td>
      <td data-ice="type" class="code"><span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Object">Object</a></span></td>
      <td data-ice="appendix"></td>
      <td data-ice="description"><p>Entry Data object containing the property&apos;s of the entry.</p>
</td>
    </tr>
<tr data-ice="property" data-depth="0">
      <td data-ice="name" class="code" data-depth="0">catalogObject</td>
      <td data-ice="type" class="code"><span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Object">Object</a></span></td>
      <td data-ice="appendix"></td>
      <td data-ice="description"><p>The parrent catalog.</p>
</td>
    </tr>
</tbody>
  </table>
</div>
</div>

  

  

  

  

  

  

  

  
  
</div>
</div>
<div data-ice="memberDetails"><h2 data-ice="title">Public Members</h2>

<div class="detail" data-ice="detail">
  <h3 data-ice="anchor" id="instance-member-EMPTY">
    <span class="access" data-ice="access">public</span>
    
    
    
    
    
    <span class="code" data-ice="name">EMPTY</span><span class="code" data-ice="signature">: <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String">string</a></span></span>
    <span class="right-info">
      
      
      <span data-ice="source"><span><a href="file/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js.html#lineNumber26">source</a></span></span>
    </span>
  </h3>

  
  
  
  <div data-ice="description"><p>A Constant representing a empty value.
Wouldn&apos;t it be nice if null !== false?
The random characters are to try and ensure it&apos;s never equated accedentally.</p>
</div>

  

  <div data-ice="properties">
</div>

  

  

  

  

  

  <div data-ice="example">
    <h4>Example:</h4>
    
  <div class="example-doc" data-ice="exampleDoc">
      
      <pre class="prettyprint source-code"><code data-ice="exampleCode">this.sourceURL === this.EMPTY //;
= true // the item was empty;
= false // the item has data;</code></pre>
    </div>
</div>

  

  
  
</div>
<div class="detail" data-ice="detail">
  <h3 data-ice="anchor" id="instance-member-author">
    <span class="access" data-ice="access">public</span>
    
    
    
    
    
    <span class="code" data-ice="name">author</span><span class="code" data-ice="signature">: {id: <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Number">number</a></span>, name: <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String">string</a></span>}</span>
    <span class="right-info">
      
      
      <span data-ice="source"><span><a href="file/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js.html#lineNumber85">source</a></span></span>
    </span>
  </h3>

  
  
  
  <div data-ice="description"><p>The author of the entry.</p>
</div>

  

  <div data-ice="properties">
</div>

  

  

  

  

  

  

  

  
  
</div>
<div class="detail" data-ice="detail">
  <h3 data-ice="anchor" id="instance-member-blurb">
    <span class="access" data-ice="access">public</span>
    
    
    
    
    
    <span class="code" data-ice="name">blurb</span><span class="code" data-ice="signature">: <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String">string</a></span> | <span>DOMString</span></span>
    <span class="right-info">
      
      
      <span data-ice="source"><span><a href="file/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js.html#lineNumber102">source</a></span></span>
    </span>
  </h3>

  
  
  
  <div data-ice="description"><p>The blurb / summary for the entry.</p>
</div>

  

  <div data-ice="properties">
</div>

  

  

  

  

  

  

  

  
  
</div>
<div class="detail" data-ice="detail">
  <h3 data-ice="anchor" id="instance-member-catagories">
    <span class="access" data-ice="access">public</span>
    
    
    
    
    
    <span class="code" data-ice="name">catagories</span><span class="code" data-ice="signature">: <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String">string</a></span></span>
    <span class="right-info">
      
      
      <span data-ice="source"><span><a href="file/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js.html#lineNumber109">source</a></span></span>
    </span>
  </h3>

  
  
  
  <div data-ice="description"><p>The catagory for the entry.</p>
</div>

  

  <div data-ice="properties">
</div>

  

  

  

  

  

  

  

  
  
</div>
<div class="detail" data-ice="detail">
  <h3 data-ice="anchor" id="instance-member-catalog">
    <span class="access" data-ice="access">public</span>
    
    
    
    
    
    <span class="code" data-ice="name">catalog</span><span class="code" data-ice="signature">: <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Object">Object</a></span></span>
    <span class="right-info">
      
      
      <span data-ice="source"><span><a href="file/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js.html#lineNumber42">source</a></span></span>
    </span>
  </h3>

  
  
  
  <div data-ice="description"><p>The parrent catalouge object.</p>
</div>

  

  <div data-ice="properties">
</div>

  

  

  

  

  

  

  

  
  
</div>
<div class="detail" data-ice="detail">
  <h3 data-ice="anchor" id="instance-member-characters">
    <span class="access" data-ice="access">public</span>
    
    
    
    
    
    <span class="code" data-ice="name">characters</span><span class="code" data-ice="signature">: <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String">string</a></span> | <span><a href="class/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js~Catalog_Entry_Base.html#instance-member-EMPTY">EMPTY</a></span></span>
    <span class="right-info">
      
      
      <span data-ice="source"><span><a href="file/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js.html#lineNumber206">source</a></span></span>
    </span>
  </h3>

  
  
  
  <div data-ice="description"><p>Major Characters in the entry.</p>
</div>

  

  <div data-ice="properties">
</div>

  

  

  

  

  

  

  

  
  
</div>
<div class="detail" data-ice="detail">
  <h3 data-ice="anchor" id="instance-member-count">
    <span class="access" data-ice="access">public</span>
    
    
    
    
    
    <span class="code" data-ice="name">count</span><span class="code" data-ice="signature">: {chapters: <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Number">number</a></span>|<span><a href="class/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js~Catalog_Entry_Base.html#instance-member-EMPTY">EMPTY</a></span>, words: <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Number">number</a></span>|<span><a href="class/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js~Catalog_Entry_Base.html#instance-member-EMPTY">EMPTY</a></span>}</span>
    <span class="right-info">
      
      
      <span data-ice="source"><span><a href="file/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js.html#lineNumber156">source</a></span></span>
    </span>
  </h3>

  
  
  
  <div data-ice="description"><p>The count of varius stuff.
Chapters, Words, Minutes, Pages, Etc.</p>
</div>

  

  <div data-ice="properties">
</div>

  

  

  

  

  

  

  

  
  
</div>
<div class="detail" data-ice="detail">
  <h3 data-ice="anchor" id="instance-member-dates">
    <span class="access" data-ice="access">public</span>
    
    
    
    
    
    <span class="code" data-ice="name">dates</span><span class="code" data-ice="signature">: {Published: <span>date</span>, Added: <span>date</span>|<span><a href="class/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js~Catalog_Entry_Base.html#instance-member-EMPTY">EMPTY</a></span>, Downloaded: <span>date</span>|<span><a href="class/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js~Catalog_Entry_Base.html#instance-member-EMPTY">EMPTY</a></span>, Checked: <span>date</span>|<span><a href="class/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js~Catalog_Entry_Base.html#instance-member-EMPTY">EMPTY</a></span>, Updated: <span>date</span>|<span><a href="class/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js~Catalog_Entry_Base.html#instance-member-EMPTY">EMPTY</a></span>}</span>
    <span class="right-info">
      
      
      <span data-ice="source"><span><a href="file/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js.html#lineNumber142">source</a></span></span>
    </span>
  </h3>

  
  
  
  <div data-ice="description"><p>The dates related to the entry.</p>
</div>

  

  <div data-ice="properties">
</div>

  

  

  

  

  

  

  

  
  
</div>
<div class="detail" data-ice="detail">
  <h3 data-ice="anchor" id="instance-member-genres">
    <span class="access" data-ice="access">public</span>
    
    
    
    
    
    <span class="code" data-ice="name">genres</span><span class="code" data-ice="signature">: <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String">string</a></span> | <span><a href="class/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js~Catalog_Entry_Base.html#instance-member-EMPTY">EMPTY</a></span></span>
    <span class="right-info">
      
      
      <span data-ice="source"><span><a href="file/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js.html#lineNumber192">source</a></span></span>
    </span>
  </h3>

  
  
  
  <div data-ice="description"><p>Genres of the entry.</p>
</div>

  

  <div data-ice="properties">
</div>

  

  

  

  

  

  

  

  
  
</div>
<div class="detail" data-ice="detail">
  <h3 data-ice="anchor" id="instance-member-hidden">
    <span class="access" data-ice="access">public</span>
    
    
    
    
    
    <span class="code" data-ice="name">hidden</span><span class="code" data-ice="signature">: <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Boolean">boolean</a></span> | <span><a href="class/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js~Catalog_Entry_Base.html#instance-member-EMPTY">EMPTY</a></span></span>
    <span class="right-info">
      
      
      <span data-ice="source"><span><a href="file/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js.html#lineNumber185">source</a></span></span>
    </span>
  </h3>

  
  
  
  <div data-ice="description"><p>If the entry is normally hidden.</p>
</div>

  

  <div data-ice="properties">
</div>

  

  

  

  

  

  

  

  
  
</div>
<div class="detail" data-ice="detail">
  <h3 data-ice="anchor" id="instance-member-id">
    <span class="access" data-ice="access">public</span>
    
    
    
    
    
    <span class="code" data-ice="name">id</span><span class="code" data-ice="signature">: <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Number">number</a></span></span>
    <span class="right-info">
      
      
      <span data-ice="source"><span><a href="file/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js.html#lineNumber71">source</a></span></span>
    </span>
  </h3>

  
  
  
  <div data-ice="description"><p>The entry&apos;s catalouge ID.</p>
</div>

  

  <div data-ice="properties">
</div>

  

  

  

  

  

  

  

  
  
</div>
<div class="detail" data-ice="detail">
  <h3 data-ice="anchor" id="instance-member-keywords">
    <span class="access" data-ice="access">public</span>
    
    
    
    
    
    <span class="code" data-ice="name">keywords</span><span class="code" data-ice="signature">: <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String">string</a></span> | <span><a href="class/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js~Catalog_Entry_Base.html#instance-member-EMPTY">EMPTY</a></span></span>
    <span class="right-info">
      
      
      <span data-ice="source"><span><a href="file/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js.html#lineNumber178">source</a></span></span>
    </span>
  </h3>

  
  
  
  <div data-ice="description"><p>Keywords related to the entry</p>
</div>

  

  <div data-ice="properties">
</div>

  

  

  

  

  

  

  

  
  <div data-ice="todo"><h4>TODO:</h4><ul><li><span>This will be phased out in favor of collections, series&apos;s and tags.</span></li></ul></div>
</div>
<div class="detail" data-ice="detail">
  <h3 data-ice="anchor" id="instance-member-pairings">
    <span class="access" data-ice="access">public</span>
    
    
    
    
    
    <span class="code" data-ice="name">pairings</span><span class="code" data-ice="signature">: <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String">string</a></span> | <span><a href="class/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js~Catalog_Entry_Base.html#instance-member-EMPTY">EMPTY</a></span></span>
    <span class="right-info">
      
      
      <span data-ice="source"><span><a href="file/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js.html#lineNumber213">source</a></span></span>
    </span>
  </h3>

  
  
  
  <div data-ice="description"><p>Character Pairings in the entry.</p>
</div>

  

  <div data-ice="properties">
</div>

  

  

  

  

  

  

  

  
  
</div>
<div class="detail" data-ice="detail">
  <h3 data-ice="anchor" id="instance-member-publisher">
    <span class="access" data-ice="access">public</span>
    
    
    
    
    
    <span class="code" data-ice="name">publisher</span><span class="code" data-ice="signature">: <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String">string</a></span></span>
    <span class="right-info">
      
      
      <span data-ice="source"><span><a href="file/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js.html#lineNumber95">source</a></span></span>
    </span>
  </h3>

  
  
  
  <div data-ice="description"><p>The publisher of the entry. (Where we got the file from.)</p>
</div>

  

  <div data-ice="properties">
</div>

  

  

  

  

  

  

  

  
  
</div>
<div class="detail" data-ice="detail">
  <h3 data-ice="anchor" id="instance-member-rating">
    <span class="access" data-ice="access">public</span>
    
    
    
    
    
    <span class="code" data-ice="name">rating</span><span class="code" data-ice="signature">: {short: <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String">string</a></span>, long: <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String">string</a></span>}</span>
    <span class="right-info">
      
      
      <span data-ice="source"><span><a href="file/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js.html#lineNumber116">source</a></span></span>
    </span>
  </h3>

  
  
  
  <div data-ice="description"><p>The rating of the entry.</p>
</div>

  

  <div data-ice="properties">
</div>

  

  

  

  

  

  

  

  
  
</div>
<div class="detail" data-ice="detail">
  <h3 data-ice="anchor" id="instance-member-sourceURL">
    <span class="access" data-ice="access">public</span>
    
    
    
    
    
    <span class="code" data-ice="name">sourceURL</span><span class="code" data-ice="signature">: <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String">string</a></span> | <span><a href="class/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js~Catalog_Entry_Base.html#instance-member-EMPTY">EMPTY</a></span></span>
    <span class="right-info">
      
      
      <span data-ice="source"><span><a href="file/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js.html#lineNumber199">source</a></span></span>
    </span>
  </h3>

  
  
  
  <div data-ice="description"><p>The Source URL for the entry.</p>
</div>

  

  <div data-ice="properties">
</div>

  

  

  

  

  

  

  

  
  
</div>
<div class="detail" data-ice="detail">
  <h3 data-ice="anchor" id="instance-member-status">
    <span class="access" data-ice="access">public</span>
    
    
    
    
    
    <span class="code" data-ice="name">status</span><span class="code" data-ice="signature">: <span>*</span></span>
    <span class="right-info">
      
      
      <span data-ice="source"><span><a href="file/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js.html#lineNumber126">source</a></span></span>
    </span>
  </h3>

  
  
  
  <div data-ice="description"><p>The status of the entry.</p>
</div>

  

  <div data-ice="properties">
</div>

  

  

  

  

  

  

  

  
  <div data-ice="todo"><h4>TODO:</h4><ul><li><span>figure out what type this should be.</span></li></ul></div>
</div>
<div class="detail" data-ice="detail">
  <h3 data-ice="anchor" id="instance-member-times">
    <span class="access" data-ice="access">public</span>
    
    
    
    
    
    <span class="code" data-ice="name">times</span><span class="code" data-ice="signature">: {&quot;LastCheck&quot;: <span>*</span>, &quot;NextUpdate&quot;: <span>*</span>}</span>
    <span class="right-info">
      
      
      <span data-ice="source"><span><a href="file/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js.html#lineNumber166">source</a></span></span>
    </span>
  </h3>

  
  
  
  

  

  <div data-ice="properties">
</div>

  

  

  

  

  

  

  

  
  
</div>
<div class="detail" data-ice="detail">
  <h3 data-ice="anchor" id="instance-member-title">
    <span class="access" data-ice="access">public</span>
    
    
    
    
    
    <span class="code" data-ice="name">title</span><span class="code" data-ice="signature">: <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String">string</a></span></span>
    <span class="right-info">
      
      
      <span data-ice="source"><span><a href="file/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js.html#lineNumber78">source</a></span></span>
    </span>
  </h3>

  
  
  
  <div data-ice="description"><p>The title of the entry.</p>
</div>

  

  <div data-ice="properties">
</div>

  

  

  

  

  

  

  

  
  
</div>
<h2 data-ice="title">Protected Members</h2>

<div class="detail" data-ice="detail">
  <h3 data-ice="anchor" id="instance-member-css_selectors">
    <span class="access" data-ice="access">protected</span>
    
    
    <span class="abstract" data-ice="abstract">abstract</span>
    
    
    <span class="code" data-ice="name">css_selectors</span><span class="code" data-ice="signature">: <span>Enum</span>&lt;<span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String">String</a></span>&gt;</span>
    <span class="right-info">
      
      
      <span data-ice="source"><span><a href="file/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js.html#lineNumber35">source</a></span></span>
    </span>
  </h3>

  
  
  
  <div data-ice="description"><p>Contains CSS Selectors for vairious parts of the code.
Overridden with child classes</p>
</div>

  

  <div data-ice="properties">
</div>

  

  

  

  

  

  

  

  
  
</div>
</div>
<div data-ice="methodDetails"><h2 data-ice="title">Public Methods</h2>

<div class="detail" data-ice="detail">
  <h3 data-ice="anchor" id="instance-method-addCommas">
    <span class="access" data-ice="access">public</span>
    
    
    
    
    
    <span class="code" data-ice="name">addCommas</span><span class="code" data-ice="signature">(number: <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Number">number</a></span> | <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String">String</a></span>): <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String">String</a></span></span>
    <span class="right-info">
      
      
      <span data-ice="source"><span><a href="file/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js.html#lineNumber313">source</a></span></span>
    </span>
  </h3>

  
  
  
  <div data-ice="description"><p>Adds commas to numbers in the thousands, millions, etc places.</p>
</div>

  

  <div data-ice="properties"><div data-ice="properties">
  <h4 data-ice="title">Params:</h4>
  <table class="params">
    <thead>
    <tr><td>Name</td><td>Type</td><td>Attribute</td><td>Description</td></tr>
    </thead>
    <tbody>
    
    <tr data-ice="property" data-depth="0">
      <td data-ice="name" class="code" data-depth="0">number</td>
      <td data-ice="type" class="code"><span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Number">number</a></span> | <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String">String</a></span></td>
      <td data-ice="appendix"></td>
      <td data-ice="description"><p>The number to add the commas to.</p>
</td>
    </tr>
</tbody>
  </table>
</div>
</div>

  <div class="return-params" data-ice="returnParams">
    <h4>Return:</h4>
    <table>
      <tbody>
        <tr>
          <td class="return-type code" data-ice="returnType"><span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String">String</a></span></td>
          
        </tr>
      </tbody>
    </table>
    <div data-ice="returnProperties">
</div>
  </div>

  

  

  

  

  

  

  
  
</div>
<div class="detail" data-ice="detail">
  <h3 data-ice="anchor" id="instance-method-truncateZeroDateTimes">
    <span class="access" data-ice="access">public</span>
    
    
    
    
    
    <span class="code" data-ice="name">truncateZeroDateTimes</span><span class="code" data-ice="signature">(dateTime: <span>dateTime</span> | <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String">String</a></span>): <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String">String</a></span></span>
    <span class="right-info">
      
      
      <span data-ice="source"><span><a href="file/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js.html#lineNumber303">source</a></span></span>
    </span>
  </h3>

  
  
  
  <div data-ice="description"><p>Removes trailing sets of zero&apos;s from date-times.</p>
<p>2018-10-28 19:55:36 -&gt; 2018-10-28 19:55:36
2018-10-28 19:55:00 -&gt; 2018-10-28 19:55
2018-10-28 00:00:00 -&gt; 2018-10-28</p>
</div>

  

  <div data-ice="properties"><div data-ice="properties">
  <h4 data-ice="title">Params:</h4>
  <table class="params">
    <thead>
    <tr><td>Name</td><td>Type</td><td>Attribute</td><td>Description</td></tr>
    </thead>
    <tbody>
    
    <tr data-ice="property" data-depth="0">
      <td data-ice="name" class="code" data-depth="0">dateTime</td>
      <td data-ice="type" class="code"><span>dateTime</span> | <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String">String</a></span></td>
      <td data-ice="appendix"></td>
      <td data-ice="description"><p>The date-time to prosess.</p>
</td>
    </tr>
</tbody>
  </table>
</div>
</div>

  <div class="return-params" data-ice="returnParams">
    <h4>Return:</h4>
    <table>
      <tbody>
        <tr>
          <td class="return-type code" data-ice="returnType"><span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String">String</a></span></td>
          
        </tr>
      </tbody>
    </table>
    <div data-ice="returnProperties">
</div>
  </div>

  

  

  

  

  

  

  
  
</div>
<div class="detail" data-ice="detail">
  <h3 data-ice="anchor" id="instance-method-unixToReadable">
    <span class="access" data-ice="access">public</span>
    
    
    
    
    
    <span class="code" data-ice="name">unixToReadable</span><span class="code" data-ice="signature">(timeDuration: <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Number">number</a></span>): <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String">String</a></span></span>
    <span class="right-info">
      
      
      <span data-ice="source"><span><a href="file/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js.html#lineNumber268">source</a></span></span>
    </span>
  </h3>

  
  
  
  <div data-ice="description"><p>Converts a unix time duration to text for days, hours, minutes, seconds.</p>
</div>

  

  <div data-ice="properties"><div data-ice="properties">
  <h4 data-ice="title">Params:</h4>
  <table class="params">
    <thead>
    <tr><td>Name</td><td>Type</td><td>Attribute</td><td>Description</td></tr>
    </thead>
    <tbody>
    
    <tr data-ice="property" data-depth="0">
      <td data-ice="name" class="code" data-depth="0">timeDuration</td>
      <td data-ice="type" class="code"><span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Number">number</a></span></td>
      <td data-ice="appendix"></td>
      <td data-ice="description"><p>the time duration to prosess.</p>
</td>
    </tr>
</tbody>
  </table>
</div>
</div>

  <div class="return-params" data-ice="returnParams">
    <h4>Return:</h4>
    <table>
      <tbody>
        <tr>
          <td class="return-type code" data-ice="returnType"><span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String">String</a></span></td>
          
        </tr>
      </tbody>
    </table>
    <div data-ice="returnProperties">
</div>
  </div>

  

  

  

  

  

  

  
  
</div>
<h2 data-ice="title">Private Methods</h2>

<div class="detail" data-ice="detail">
  <h3 data-ice="anchor" id="instance-method-__hasData">
    <span class="access" data-ice="access">private</span>
    
    
    
    
    
    <span class="code" data-ice="name">__hasData</span><span class="code" data-ice="signature">(data: <span>*</span>, legacy: <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Boolean">boolean</a></span>): <span>*</span> | <span><a href="class/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js~Catalog_Entry_Base.html#instance-member-EMPTY">EMPTY</a></span></span>
    <span class="right-info">
      
      
      <span data-ice="source"><span><a href="file/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js.html#lineNumber228">source</a></span></span>
    </span>
  </h3>

  
  
  
  <div data-ice="description"><p>Checks if input actually has data.</p>
<p>Checks if data has data, if not, returns the const EMPTY.</p>
</div>

  

  <div data-ice="properties"><div data-ice="properties">
  <h4 data-ice="title">Params:</h4>
  <table class="params">
    <thead>
    <tr><td>Name</td><td>Type</td><td>Attribute</td><td>Description</td></tr>
    </thead>
    <tbody>
    
    <tr data-ice="property" data-depth="0">
      <td data-ice="name" class="code" data-depth="0">data</td>
      <td data-ice="type" class="code"><span>*</span></td>
      <td data-ice="appendix"></td>
      <td data-ice="description"><p>The stuff we are checking.</p>
</td>
    </tr>
<tr data-ice="property" data-depth="0">
      <td data-ice="name" class="code" data-depth="0">legacy</td>
      <td data-ice="type" class="code"><span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Boolean">boolean</a></span></td>
      <td data-ice="appendix"></td>
      <td data-ice="description"><p>Legacy option that fixes some bad data.</p>
</td>
    </tr>
</tbody>
  </table>
</div>
</div>

  <div class="return-params" data-ice="returnParams">
    <h4>Return:</h4>
    <table>
      <tbody>
        <tr>
          <td class="return-type code" data-ice="returnType"><span>*</span> | <span><a href="class/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js~Catalog_Entry_Base.html#instance-member-EMPTY">EMPTY</a></span></td>
          <td class="return-desc" data-ice="returnDescription"><p>if data is empty, returns EMPTY Const, otherwise returns inputed data.</p>
</td>
        </tr>
      </tbody>
    </table>
    <div data-ice="returnProperties">
</div>
  </div>

  

  

  

  

  

  

  
  <div data-ice="todo"><h4>TODO:</h4><ul><li><span>remove legacy option.</span></li></ul></div>
</div>
<div class="detail" data-ice="detail">
  <h3 data-ice="anchor" id="instance-method-__parseEntry">
    <span class="access" data-ice="access">private</span>
    
    
    
    
    
    <span class="code" data-ice="name">__parseEntry</span><span class="code" data-ice="signature">(RawData: <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Object">Object</a></span>)</span>
    <span class="right-info">
      
      
      <span data-ice="source"><span><a href="file/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js.html#lineNumber54">source</a></span></span>
    </span>
  </h3>

  
  
  
  <div data-ice="description"><p>Calls other parsers to parse the data.
Parses the raw entry and saves the data in pre-specified locations.</p>
</div>

  

  <div data-ice="properties"><div data-ice="properties">
  <h4 data-ice="title">Params:</h4>
  <table class="params">
    <thead>
    <tr><td>Name</td><td>Type</td><td>Attribute</td><td>Description</td></tr>
    </thead>
    <tbody>
    
    <tr data-ice="property" data-depth="0">
      <td data-ice="name" class="code" data-depth="0">RawData</td>
      <td data-ice="type" class="code"><span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Object">Object</a></span></td>
      <td data-ice="appendix"></td>
      <td data-ice="description"><p>The raw data that is being inputed.</p>
</td>
    </tr>
</tbody>
  </table>
</div>
</div>

  

  

  

  

  

  

  

  
  
</div>
<div class="detail" data-ice="detail">
  <h3 data-ice="anchor" id="instance-method-__parseEntryAlways">
    <span class="access" data-ice="access">private</span>
    
    
    
    
    
    <span class="code" data-ice="name">__parseEntryAlways</span><span class="code" data-ice="signature">(RawData: <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Object">Object</a></span>)</span>
    <span class="right-info">
      
      
      <span data-ice="source"><span><a href="file/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js.html#lineNumber65">source</a></span></span>
    </span>
  </h3>

  
  
  
  <div data-ice="description"><p>Parser for values that should always exsist.
Parses the raw entry and saves the data in pre-specified locations.</p>
</div>

  

  <div data-ice="properties"><div data-ice="properties">
  <h4 data-ice="title">Params:</h4>
  <table class="params">
    <thead>
    <tr><td>Name</td><td>Type</td><td>Attribute</td><td>Description</td></tr>
    </thead>
    <tbody>
    
    <tr data-ice="property" data-depth="0">
      <td data-ice="name" class="code" data-depth="0">RawData</td>
      <td data-ice="type" class="code"><span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Object">Object</a></span></td>
      <td data-ice="appendix"></td>
      <td data-ice="description"><p>The raw data that is being inputed.</p>
</td>
    </tr>
</tbody>
  </table>
</div>
</div>

  

  

  

  

  

  

  

  
  
</div>
<div class="detail" data-ice="detail">
  <h3 data-ice="anchor" id="instance-method-__parseEntrySometimes">
    <span class="access" data-ice="access">private</span>
    
    
    
    
    
    <span class="code" data-ice="name">__parseEntrySometimes</span><span class="code" data-ice="signature">(RawData: <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Object">Object</a></span>)</span>
    <span class="right-info">
      
      
      <span data-ice="source"><span><a href="file/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js.html#lineNumber136">source</a></span></span>
    </span>
  </h3>

  
  
  
  <div data-ice="description"><p>Parser for values that sometimes exsist.
Parses the raw entry and saves the data in pre-specified locations.</p>
</div>

  

  <div data-ice="properties"><div data-ice="properties">
  <h4 data-ice="title">Params:</h4>
  <table class="params">
    <thead>
    <tr><td>Name</td><td>Type</td><td>Attribute</td><td>Description</td></tr>
    </thead>
    <tbody>
    
    <tr data-ice="property" data-depth="0">
      <td data-ice="name" class="code" data-depth="0">RawData</td>
      <td data-ice="type" class="code"><span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Object">Object</a></span></td>
      <td data-ice="appendix"></td>
      <td data-ice="description"><p>The raw data that is being inputed.</p>
</td>
    </tr>
</tbody>
  </table>
</div>
</div>

  

  

  

  

  

  

  

  
  
</div>
<div class="detail" data-ice="detail">
  <h3 data-ice="anchor" id="instance-method-__transferAuthorToSearch">
    <span class="access" data-ice="access">private</span>
    
    
    
    
    
    <span class="code" data-ice="name">__transferAuthorToSearch</span><span class="code" data-ice="signature">()</span>
    <span class="right-info">
      
      
      <span data-ice="source"><span><a href="file/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js.html#lineNumber257">source</a></span></span>
    </span>
  </h3>

  
  
  
  <div data-ice="description"><p>The code that is triggered when the author name is clicked.</p>
</div>

  

  <div data-ice="properties">
</div>

  

  

  

  

  

  

  

  
  
</div>
</div>
</div>

<footer class="footer">
  Generated by <a href="https://esdoc.org">ESDoc<span data-ice="esdocVersion">(1.1.0)</span><img src="./image/esdoc-logo-mini-black.png"></a>
</footer>

<script src="script/search_index.js"></script>
<script src="script/search.js"></script>
<script src="script/pretty-print.js"></script>
<script src="script/inherited-summary.js"></script>
<script src="script/test-summary.js"></script>
<script src="script/inner-link.js"></script>
<script src="script/patch-for-local.js"></script>
</body>
</html>
